******************************************************************************************************************************
******************************************************************************************************************************
* 	scoring algorithm for the KIDSCREEN-10 self report version						*
******************************************************************************************************************************
******************************************************************************************************************************

*	copyright and intelectual property: The European KIDSCREEN group				*

******************************************************************************************************************************
* 	1) uses transformed KIDSCREEN item-scores (transformed e.g. by a priori application of the 	*
* 	syntax "transform_KIDSCREEN-10_rawdata.SPS")						*
* 	2) based on the RASCH-Person-Parameter Estimates 						*
* 	3) T-values were computed wich refer to the entire KIDSCREEN survey (excluded were Ireland,	*
* 	cases older than 18, younger than 8, > 25% missings in KIDSCREEN items, with any 		*
* 	missing in the particular scale)									*
* 	4) for the entire European sample the mean of the T-values is 50, the standard deviation is 10	*
******************************************************************************************************************************





COMPUTE KC10IN_R = (KY10IN01 + KY10IN02 + KY10IN03 + KY10IN04 + KY10IN05 + KY10IN06 + KY10IN07 + KY10IN08 + KY10IN09 + KY10IN10 ) .
EXECUTE .




RECODE KC10in_R 
(	10	=	-4.327	)	
(	11	=	-3.206	)	
(	12	=	-2.675	)	
(	13	=	-2.319	)	
(	14	=	-2.049	)	
(	15	=	-1.831	)	
(	16	=	-1.645	)	
(	17	=	-1.483	)	
(	18	=	-1.339	)	
(	19	=	-1.207	)	
(	20	=	-1.085	)	
(	21	=	-0.971	)	
(	22	=	-0.863	)	
(	23	=	-0.760	)	
(	24	=	-0.660	)	
(	25	=	-0.563	)	
(	26	=	-0.468	)	
(	27	=	-0.374	)	
(	28	=	-0.281	)	
(	29	=	-0.187	)	
(	30	=	-0.093	)	
(	31	=	0.002	)	
(	32	=	0.100	)	
(	33	=	0.199	)	
(	34	=	0.302	)	
(	35	=	0.409	)	
(	36	=	0.520	)	
(	37	=	0.637	)	
(	38	=	0.760	)	
(	39	=	0.891	)	
(	40	=	1.031	)	
(	41	=	1.183	)	
(	42	=	1.348	)	
(	43	=	1.529	)	
(	44	=	1.732	)	
(	45	=	1.961	)	
(	46	=	2.226	)	
(	47	=	2.545	)	
(	48	=	2.951	)	
(	49	=	3.533	)	
(	50	=	4.703	)	.
EXECUTE .


Compute KC10in_T = (((KC10in_R - 1.2078)  / 1.03377) * 10 + 50) .
EXECUTE .

VAR LAB KC10in_R '10item General HRQoL index RASCH PP'.
EXECUTE .

VAR LAB KC10in_T '10item General HRQoL index international T-values based on RASCH PP'.
EXECUTE .

